HostingEmail aliases

Get email alias

GET/api/domains/{domain_code}/alias_email_accounts/{alias_email_account_code}

Returns details for a single email alias.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Path Parameters

domain_code*string

Domain code: D followed by 9 digits. Example: D123456789.

alias_email_account_code*string

Email alias code: AE followed by 8 digits. Example: AE12345678.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/domains/string/alias_email_accounts/string" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json"
{
  "resources": [
    {
      "created_at": "string",
      "updated_at": "string",
      "domain_name": "string",
      "destinations": [
        null
      ],
      "status": "enabled",
      "status_detail": "ok",
      "code": "string",
      "name": "string"
    }
  ],
  "pagination": {}
}
{
  "message": "Unauthorized",
  "errors": []
}
{
  "message": "Forbidden",
  "errors": []
}
{
  "message": "Not found",
  "errors": []
}
{
  "message": "Validation failed",
  "errors": [
    {
      "field": "name",
      "description": "is not valid"
    }
  ]
}